missing packages
2018-05-21 04:18 AM - bill-auger

Status: fixed % Done: 0%
Priority: critical
Assignee:

Category:

Description

gnome-ring
consolekit
consolekit-openrc

History

#1 - 2018-05-21 05:26 AM - ovruni

gnome-ring is now ring-gnome: https://www.parabola.nu/packages/community/x86_64/ring-gnome/

| thlnk that consolekit and consoleklt openrc were removed because we are not going to maintain those packages anymore:

#2 - 2018-05-21 09:02 AM - bill-auger

ok i thought it looks like the same problem as last week

the reason i opened this is because someone on IRC showed me a pacman error like: "installing consolekit-openrc breaks dependency 'consolekit™
then i noticed neither of those package existed so something is odd with that persons system

#3 - 2018-05-21 09:05 AM - bill-auger

so0 maybe <pribib> just needs to remove 'consolekit-openrc'?

Synchronising package databases...
nonprism is up to date
libre is up to date
core is up to date
extra is up to date
community is up to date
pcr is up to date
Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
consolekit-openrc: removing consolekit breaks dependency 'consolekit'
ffmpeg2.8: installing x265 (2.7-1) breaks dependency 'libx265.s0=146-64"

retroarch: installing ffmpeg (1:4.0-2) breaks dependency 'libavcodec.so=57-64"

(
retroarch: installing ffmpeg (1:4.0-2) breaks dependency 'libavformat.so=57-64"'
retroarch: installing ffmpeg (1:4.0-2) breaks dependency 'libavutil.so=55-64"
retroarch: installing ffmpeg (1:4.0-2) breaks dependency 'libswresample.so=2-64"
retroarch: installing ffmpeg (1:4.0-2) breaks dependency 'libswscale.so=4-64"

#4 - 2018-05-21 06:37 PM - lukeshu

- Assignee deleted (lukeshu)

None of those are packages that | necessarily think should exist. Certainly not from db-import, anyway.
® gnome-ring :: Replaced by community/ring-gnome

e consolekit :: Arch dropped extra/consolekit in 2012, Megver83 deleted pcr/consolekit on 2018-04-19
¢ consolekit-openrc :: obviously never existed in Arch

#5 - 2018-05-21 10:45 PM - bill-auger

ok so <pribib> should remove 'consolekit' and 'consolekit-openrc' to resolve the conflict? and this will not break anything?

#6 - 2018-05-21 10:47 PM - lukeshu
| think so.
https://www.parabola.nu/packages/community/x86_64/ring-gnome/
https://git.parabola.nu/abslibre.git/commit/?id=ea7a98c68745d0a3426b8ba77d5a6274d59916f1

#7 - 2018-05-21 10:52 PM - ovruni

Use elogind instead.

#8 - 2018-05-21 11:21 PM - bill-auger
i am wondering now how did pribib get into this mess - should 'elogind' be made to replace or 'consolekit'?
pribib -

are you following this? why did you install 'consolekit' in the first place?
was that in the documentation? if so, that needs to chage
was it installed automatically? if so, it should have been removed automatically so maybe that is a bug

#9 - 2018-05-21 11:29 PM - ovruni

First remove consolekit-openrc, then install elogind

#10 - 2018-05-22 02:15 AM - pribib

i installed consolekit for a pulseaudio error, which has now returned after removing consolekit and installing elogind

E: [pulseaudio] module-console-kit.c: GetSessionsForUnixUser() call failed: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1
matched rules; type="method_call", sender=":1.443" (uid=1000 pid=997 comm="pulseaudio -v ") interface="org.freedesktop.ConsoleKit.Manager"
member="GetSessionsForUnixUser" error name="(unset)" requested_reply="0" destination="org.freedesktop.ConsoleKit" (uid=0 pid=1877
comm="/usr/bin/console-kit-daemon ")

E: [pulseaudio] module.c: Failed to load module "module-console-kit" (argument: ""): initialization failed.

E: [pulseaudio] main.c: Module load failed.

E: [pulseaudio] main.c: Failed to initialize daemon.

#11 - 2018-05-22 03:19 AM - ovruni

Is the elogind service running?

#12 - 2018-05-25 05:02 AM - pribib

ovruni wrote:

Is the elogind service running?

nope, started it and it works fine now, thanks!

#13 - 2018-05-25 05:30 AM - ovruni

- Status changed from open to fixed
